[android-components](../../index.md) / [mozilla.components.service.fretboard.storage.flatfile](../index.md) / [FlatFileExperimentStorage](index.md) / [retrieve](./retrieve.md)

# retrieve

`fun retrieve(): `[`ExperimentsSnapshot`](../../mozilla.components.service.fretboard/-experiments-snapshot/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/storage/flatfile/FlatFileExperimentStorage.kt#L23)

Overrides [ExperimentStorage.retrieve](../../mozilla.components.service.fretboard/-experiment-storage/retrieve.md)

Reads experiments from disk

**Return**
experiments from disk

